Workspace Users
Remove Workspace User
Kick a member out of a workspace. If the removed user has no remaining workspaces, a personal workspace will be automatically created.
DELETE
/open/workspaces/{workspaceId}/users/{userId}/removeKick a member out of a workspace. If the removed user has no remaining workspaces, a personal workspace will be automatically created.
#Authentication & Scope
Requires the workspace-users-write ability and admin privileges in the workspace.
#Request
http
DELETE /open/workspaces/{workspaceId}/users/{userId}/remove HTTP/1.1
Host: api.sharaforms.com
Authorization: Bearer <token>#Path Parameters
| Parameter | Type | Description |
|---|---|---|
| workspaceId | number | ID of the workspace. |
| userId | number | ID of the user to remove. |
#Response
200 OK – Confirmation message.
json
{
"message": "User removed from workspace successfully."
}403 Forbidden – Token lacks workspace-users-write or insufficient privileges.